Bug 57243 - internal compiler error compiling multidimensioned array of constan objects
internal compiler error compiling multidimensioned array of constan objects
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-07 14:21 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 13:44:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-12-07 14:21:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.6 [en] (X11; I; Linux 2.2.14-5.0 i686)

Description of problem:
g++ bug.cpp
bug.cpp: In function `int main ()':
bug.cpp:20: Internal compiler error in emit_move_insn, at expr.c:2577


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Compile the given code with g++
2.
3.
	

Actual Results:  [jeremyl@cvs-leeds ~/c]$ g++ bug.cpp 
bug.cpp: In function `int main ()':
bug.cpp:20: Internal compiler error in emit_move_insn, at expr.c:2577
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.


Additional info:

class classA_c
{
public:
  classA_c() {j = 0;};
  classA_c(int i) {j = i;};
  ~classA_c() {};

private:
  int j;
};

int main()
{
  typedef const classA_c pFredA[3][3];

  const classA_c theObjectA = classA_c(1);

  pFredA thePFredA2 = {{theObjectA, theObjectA, theObjectA},
                       {theObjectA, theObjectA, theObjectA},
                       {theObjectA, theObjectA, theObjectA}};
}
Comment 1 Alan Cox 2002-12-15 13:44:52 EST
Ok in g++ 3.2

Note You need to log in before you can comment on or make changes to this bug.